Subject: Re: [bug#33434] [PATCH] gnu: font-ubuntu: Update url.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Mon, 19 Nov 2018 21:50:11 +0100

Leo Famulari writes:

> On Mon, Nov 19, 2018 at 07:04:26PM +0100, Jan Nieuwenhuizen wrote:
>> I found the previous URL to no longer work.  I would like to find a
>> cleaner url.  WDYT?
>> -              (uri (string-append
>> -                    "http://font.ubuntu.com/download/ubuntu-font-family-"
>> -                    version ".zip"))
>> +              (uri (string-append "https://launchpad.net/"
>> +                                  "ubuntu/+archive/primary/+sourcefiles/"
>> +                                  "ubuntu-font-family-sources/"
>> +                                  "0.83-0ubuntu1/"
>> +                                  "ubuntu-font-family-sources_0.83"
>> +                                  ".orig.tar.gz"))
>
> I found the correct zip file in the download section of this page:
>
> https://design.ubuntu.com/font/
>
> Specifically:
>
> https://assets.ubuntu.com/v1/fad7939b-ubuntu-font-family-0.83.zip

I tried that, and it doesn't work for me.  Specifically, I get

--8<---------------cut here---------------start------------->8---
21:47:31 janneke@dundal:~/src/guix-janneke 
$ guix download https://assets.ubuntu.com/v1/fad7939b-ubuntu-font-family-0.83.zip
Starting download of /tmp/guix-file.OMwFpM
>From https://assets.ubuntu.com/v1/fad7939b-ubuntu-font-family-0.83.zip...
Bad qstring header component: 113 juju-prod45-ubuntu-assets-machine-10 (squid/3.3.8) This cache hit is still fresh and more than 1 day old

failed to download "/tmp/guix-file.OMwFpM" from "https://assets.ubuntu.com/v1/fad7939b-ubuntu-font-family-0.83.zip"
guix download: error: https://assets.ubuntu.com/v1/fad7939b-ubuntu-font-family-0.83.zip: download failed
--8<---------------cut here---------------end--------------->8---

Does it work for you?

> What did you mean about the change being for core-updates?

I'm responding to Ludo's request to configure our systems on
core-updates.  I needed this patch to be able to do so, and created it
on core-updates.

janneke